为了使用c++11,升级了gcc,版本4.82,然后就杯具了,什么调试信息都没有

C/C++ > C++ 语言 [问题点数:20分,结帖人yuyunliuhen]
等级
本版专家分:2253
结帖率 99.24%
等级
本版专家分:835
勋章
Blank
GitHub 绑定GitHub第三方账户获取
Blank
红花 2017年12月 Linux/Unix社区大版内专家分月排行榜第一
2015年9月 Linux/Unix社区大版内专家分月排行榜第一
2015年4月 Linux/Unix社区大版内专家分月排行榜第一
2015年2月 Linux/Unix社区大版内专家分月排行榜第一
2015年1月 Linux/Unix社区大版内专家分月排行榜第一
2014年6月 Linux/Unix社区大版内专家分月排行榜第一
Blank
黄花 2015年3月 Linux/Unix社区大版内专家分月排行榜第二
2014年12月 Linux/Unix社区大版内专家分月排行榜第二
2014年11月 Linux/Unix社区大版内专家分月排行榜第二
2014年9月 Linux/Unix社区大版内专家分月排行榜第二
2014年8月 Linux/Unix社区大版内专家分月排行榜第二
2014年7月 Linux/Unix社区大版内专家分月排行榜第二
2014年5月 Linux/Unix社区大版内专家分月排行榜第二
2014年4月 Linux/Unix社区大版内专家分月排行榜第二
Blank
蓝花 2014年3月 Linux/Unix社区大版内专家分月排行榜第三
等级
本版专家分:2253
等级
本版专家分:382962
勋章
Blank
状元 2017年 总版技术专家分年内排行榜第一
Blank
榜眼 2014年 总版技术专家分年内排行榜第二
Blank
探花 2013年 总版技术专家分年内排行榜第三
Blank
进士 2018年总版新获得的技术专家分排名前十
2012年 总版技术专家分年内排行榜第七
等级
本版专家分:2253
等级
本版专家分:8678
勋章
Blank
红花 2014年12月 Linux/Unix社区大版内专家分月排行榜第一
2014年11月 Linux/Unix社区大版内专家分月排行榜第一
2014年10月 Linux/Unix社区大版内专家分月排行榜第一
2014年9月 Linux/Unix社区大版内专家分月排行榜第一
2014年8月 Linux/Unix社区大版内专家分月排行榜第一
Blank
蓝花 2014年7月 Linux/Unix社区大版内专家分月排行榜第三
2003年2月 C/C++大版内专家分月排行榜第三
等级
本版专家分:382962
勋章
Blank
状元 2017年 总版技术专家分年内排行榜第一
Blank
榜眼 2014年 总版技术专家分年内排行榜第二
Blank
探花 2013年 总版技术专家分年内排行榜第三
Blank
进士 2018年总版新获得的技术专家分排名前十
2012年 总版技术专家分年内排行榜第七
等级
本版专家分:8678
勋章
Blank
红花 2014年12月 Linux/Unix社区大版内专家分月排行榜第一
2014年11月 Linux/Unix社区大版内专家分月排行榜第一
2014年10月 Linux/Unix社区大版内专家分月排行榜第一
2014年9月 Linux/Unix社区大版内专家分月排行榜第一
2014年8月 Linux/Unix社区大版内专家分月排行榜第一
Blank
蓝花 2014年7月 Linux/Unix社区大版内专家分月排行榜第三
2003年2月 C/C++大版内专家分月排行榜第三
等级
本版专家分:2253
等级
本版专家分:382962
勋章
Blank
状元 2017年 总版技术专家分年内排行榜第一
Blank
榜眼 2014年 总版技术专家分年内排行榜第二
Blank
探花 2013年 总版技术专家分年内排行榜第三
Blank
进士 2018年总版新获得的技术专家分排名前十
2012年 总版技术专家分年内排行榜第七
等级
本版专家分:0
yuyunliuhen

等级:

Ubuntu升级GCC版本教程--支持C++14等cpp代码

GCC升级1.下载GCC1.5 解压文件2.下载编译所需依赖项3.建立编译输出目录4.生成makefile文件5.编译6.安装7.查看GCC版本8.查看电脑中的GCC9.安装完成 1.下载GCCGCC官网https://gcc.gnu.org/上。GCC支持的C++版本上面...

哪个版本gcc才支持c11

而知,低版本gcc不支持c11。 (而我此处的eglibc 2.17,和那人的glibc-2.16.0,是需要支持c11的gcc的) 所以此处想要去搞清楚,什么版本的,哪个版本的,gcc,才支持c11。 【解决过程】 1.google搜...

Ubuntu升级gcc版本

1 问题发现目前正在使用Ubuntu 14.04 LTS, 虽然更新了HWE之后, 系统仍然在不断的维护he更新, 但是编译工具是不会更新的, 如果目前我还在使用Ubuntu 14.04, 是无法体验新版gcc的. 怎么办呢?2 问题解决其实, 在...

linux升级gcc支持c++11

参考linux下安装或升级GCC4.8,以支持C++11标准

linux 查看gcc版本,支持C++11

查看gcc版本 gcc --version命令行编译 g++ -std=c++11 -o main main.cpp

centos7升级gcc8.2

为了更好的学习和工作,说白了就是为了尝鲜,老广干什么事情是要尝鲜的,所以身在广东的我,也准备尝尝鲜,把centos7的gcc升级gcc最新版本,目前最新的版本gcc8.2(详见:https://gcc.gnu.org/) ...

升级 gcc g++ 版本 支持-std=c++11 特性

CentOS 6.6 升级GCC G++ (当前最新GCC/G++版本为v6.1.0) 或者 添加yum 的 repo 文件 也不行, 只能更新到 4.4.7! 采取手动编译安装了 1、 获取安装包并解压 wget ...

VS版本GCC版本C++版本的对应关系

做嵌入式开发经常遇到一些编译器和C++版本不匹配的问题,现整理如下: 目前C语言的标准有:C89(ANSI C)、C90、C95、C99(ISO C)、C11(C1x) 目前C++语言的标准有:C++98、C++03(对98小幅修改)、C++11(全面进化...

RedHat gcc编译器版本升级到4.8.2支持C++11标准

使用devtoolset升级GCC版本

最近在工作中遇到要编译一个使用C++11标准的开源代码,因而需要进行gcc升级gcc 升级的两种方法目前知道两种升级gcc 的方法: 直接编译安装新版本gcc (目测前方坑很多) 下面通过devtoolset来升级gcc

gcc4.8.5支持C++11

GCC4.8.5默认支持C++98,若程序中使用C++11的特性,则报错。 解决方案: 编译时加上-std=c++11即可,如 g++ -std=c++11 dijkstra.cpp -o dijkstra

GCC升级 支持C++11

编译安装软件的时候,发现错误configure: error: *** A compiler with support for C++11 language features is required. ...想要支持C++11,必须升级gcc4.8以上。我先升级gcc4.9.3 1、下载GCC4.9.3 GCC

linux下安装或升级GCC4.8,以支持C++11标准

C++11标准在2011年8月份获得一致通过,这是自1998年后C++语言第一次大修订,对C++语言进行了改进和扩充。随后各编译器厂商各自实现或部分实现了C++中的特性。 如需查看各编译器对C++11的支持程度,请参看文章: ...

linux下安装或升级GCC 4.8以上版本(包括),以支持C++11

C++11标准在2011年8月份获得一致通过,这是自1998年后C++语言第一次大修订,对C++语言进行了改进和扩充。随后各编译器厂商各自实现或部分实现了C++中的特性。 如需查看各编译器对C++11的支持程度,请参看文章:...

Ubuntu升级GCC版本

来源:CSDN 作者:gatieme1 问题发现目前正在使用Ubuntu 14.04 LTS, 虽然更新了HWE之后, 系统仍然在不断的维护he更新, 但是编译工具是不会更新的, 如果目前我还在使用Ubuntu 14.04, 是无法体验新版gcc的....

linux下安装或升级GCC 4.8,以支持C++11标准

C++11标准在2011年8月份获得一致通过,这是自1998年后C++语言第一次大修订,对C++语言进行了改进和扩充。随后各编译器厂商各自实现或部分实现了C++中的特性 。  如需查看各编译器对C++11的支持程度,请参看...

MAC升级gcc版本

之前mac的gcc版本是4.2的,现在很多要求4.5以上,所以需要更新,但是更新的过程并不容易,网上找的其他的资料这是写的很难懂,而且也不仔细,我尽量写的详细,本文用的mac 的homebrew安装的,还没有安装homebrew安装...

更改gcc默认版本(gcc版本降级/升级)

更改gcc默认版本(gcc版本降级/升级) Ubuntu系统升级到16.04以后,gcc版本变为6.2,编译比较老的项目编译不过,需要将gcc版本降级到ubunt14.04时候4.8版本. 可以让系统存在两个gcc版本,4.8和6.2,但是默认的gcc版本为...

Linux升级gcc到最新版本--gcc-9.1.0

Linux系统下升级gcc到最新版本--gcc-9.1.0详细步骤

centos升级gcc到4.8.1(支持c++11)步骤

centos升级gcc到4.8.1(支持c++11)步骤 下载gcc最新版 wget http://ftp.gnu.org/gnu/gcc/gcc-4.8.1/gcc-4.8.1.tar.gz 然后解压到文件夹 tar -xvzf gcc-4.8.1.tar.gz 进入解压缩之后的目录 cd gcc-4.8.1...

Linux 下升级gcc版本(gcc-7.3.0)

本文描述如何通过编译源码,来升级gcc编译版本,由于CentOs默认gcc编译版本太低不能满足需求。我通过自己的安装升级经验总结了一个shell脚本,整体时间大约在一个小时左右。 cd /usr/src/ vim upgradeGcc.sh 在...

gcc 5.4 默认不支持c++11

理论上来讲5.4应该支持C++11,时间20160609,但是实际上__cplusplus的值却是199711L 最后看到一篇文章的一句话,原来是默认不支持。所以只要在编译时加上-std=c++11 或者 -std=c++0x可以了。 真是奇怪,何必呢 ...

C/C++中判断GCC版本

#include #include int main() { printf("%d\n",__GNUC__); printf("%d\n",__GNUC_MINOR__); printf("%d\n",__GNUC_PATCHLEVEL__); return 0; }result: 4 8 2

Centos下更新 gcc 版本GCC 6.1.0

------------- GCC 4.4.7 我去,这也太low了吧,而且我们知道的GCC 4.4.7 是不支持 C++11 的,我的脾气比较暴躁,果断要升级GCC 6.1.0 版本!  我开始的时候使用了 yum update gcc 命令,可恨的是机器又将gc

Ubuntu14.04 LTS中升级gcc/g++版本到4.9.4的操作步骤

Ubuntu14.04 LTS中默认的gcc/g++版本为4.8.4,如下图,在C++11中增加了对正则表达式的支持,但是好像到gcc/g++ 4.9.2版本才会对正则表达式能很好的支持,这里介绍下Ubuntu14.04 LTS升级gcc/g++版本到4.9.4的操作步骤...

CentOS6.5升级gcc到4.8总结

操作系统是CentOS6.8的32位版本,yum自带的gcc版本为4.4.7,不支持C++11特性。所以需要升级到4.8.5,至少要升级到4.8.1才完全支持C++11。本文提供了自动安装脚本和自动测试安装是否成功的脚本。  操作系统是CentOS...

GCC版本切换,-std=c++11问题

由于gcc版本会影响到一些编译工作的执行,所以gcc,g++版本的安装切换比不可少。 1. 添加源 sudo add-apt-repository ppa:ubuntu-toolchain-r/test sudo apt-get update 2. 安装4.8版本 sudo apt-get install ...

相关热词 c#读取da文件 c#字符串拼接安全 c# 串口数据发送 c# 调硬件 计算器的累加c#代码 c#打开bmp文件 c#关闭线程以及子线程 c#界面加载事闪烁 c# xml 特性 c# 获取文件名